<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\Apigee;

class GoogleCloudApigeeV1DeploymentConfig extends \Google\Collection
{
  protected $collection_key = 'deploymentGroups';
  /**
   * @var string[]
   */
  public $attributes;
  /**
   * @var string
   */
  public $basePath;
  /**
   * @var string[]
   */
  public $deploymentGroups;
  /**
   * @var string[]
   */
  public $endpoints;
  /**
   * @var string
   */
  public $location;
  /**
   * @var string
   */
  public $name;
  /**
   * @var string
   */
  public $proxyUid;
  /**
   * @var string
   */
  public $serviceAccount;
  /**
   * @var string
   */
  public $uid;

  /**
   * @param string[]
   */
  public function setAttributes($attributes)
  {
    $this->attributes = $attributes;
  }
  /**
   * @return string[]
   */
  public function getAttributes()
  {
    return $this->attributes;
  }
  /**
   * @param string
   */
  public function setBasePath($basePath)
  {
    $this->basePath = $basePath;
  }
  /**
   * @return string
   */
  public function getBasePath()
  {
    return $this->basePath;
  }
  /**
   * @param string[]
   */
  public function setDeploymentGroups($deploymentGroups)
  {
    $this->deploymentGroups = $deploymentGroups;
  }
  /**
   * @return string[]
   */
  public function getDeploymentGroups()
  {
    return $this->deploymentGroups;
  }
  /**
   * @param string[]
   */
  public function setEndpoints($endpoints)
  {
    $this->endpoints = $endpoints;
  }
  /**
   * @return string[]
   */
  public function getEndpoints()
  {
    return $this->endpoints;
  }
  /**
   * @param string
   */
  public function setLocation($location)
  {
    $this->location = $location;
  }
  /**
   * @return string
   */
  public function getLocation()
  {
    return $this->location;
  }
  /**
   * @param string
   */
  public function setName($name)
  {
    $this->name = $name;
  }
  /**
   * @return string
   */
  public function getName()
  {
    return $this->name;
  }
  /**
   * @param string
   */
  public function setProxyUid($proxyUid)
  {
    $this->proxyUid = $proxyUid;
  }
  /**
   * @return string
   */
  public function getProxyUid()
  {
    return $this->proxyUid;
  }
  /**
   * @param string
   */
  public function setServiceAccount($serviceAccount)
  {
    $this->serviceAccount = $serviceAccount;
  }
  /**
   * @return string
   */
  public function getServiceAccount()
  {
    return $this->serviceAccount;
  }
  /**
   * @param string
   */
  public function setUid($uid)
  {
    $this->uid = $uid;
  }
  /**
   * @return string
   */
  public function getUid()
  {
    return $this->uid;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GoogleCloudApigeeV1DeploymentConfig::class, 'Google_Service_Apigee_GoogleCloudApigeeV1DeploymentConfig');
