<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\ArtifactRegistry;

class ImportGoogetArtifactsResponse extends \Google\Collection
{
  protected $collection_key = 'googetArtifacts';
  protected $errorsType = ImportGoogetArtifactsErrorInfo::class;
  protected $errorsDataType = 'array';
  protected $googetArtifactsType = GoogetArtifact::class;
  protected $googetArtifactsDataType = 'array';

  /**
   * @param ImportGoogetArtifactsErrorInfo[]
   */
  public function setErrors($errors)
  {
    $this->errors = $errors;
  }
  /**
   * @return ImportGoogetArtifactsErrorInfo[]
   */
  public function getErrors()
  {
    return $this->errors;
  }
  /**
   * @param GoogetArtifact[]
   */
  public function setGoogetArtifacts($googetArtifacts)
  {
    $this->googetArtifacts = $googetArtifacts;
  }
  /**
   * @return GoogetArtifact[]
   */
  public function getGoogetArtifacts()
  {
    return $this->googetArtifacts;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(ImportGoogetArtifactsResponse::class, 'Google_Service_ArtifactRegistry_ImportGoogetArtifactsResponse');
