<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\BigQueryDataTransfer;

class ScheduleTransferRunsResponse extends \Google\Collection
{
  protected $collection_key = 'runs';
  protected $runsType = TransferRun::class;
  protected $runsDataType = 'array';

  /**
   * @param TransferRun[]
   */
  public function setRuns($runs)
  {
    $this->runs = $runs;
  }
  /**
   * @return TransferRun[]
   */
  public function getRuns()
  {
    return $this->runs;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(ScheduleTransferRunsResponse::class, 'Google_Service_BigQueryDataTransfer_ScheduleTransferRunsResponse');
