<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\CloudDataplex;

class GoogleCloudDataplexV1TaskExecutionSpec extends \Google\Model
{
  /**
   * @var string[]
   */
  public $args;
  /**
   * @var string
   */
  public $kmsKey;
  /**
   * @var string
   */
  public $maxJobExecutionLifetime;
  /**
   * @var string
   */
  public $project;
  /**
   * @var string
   */
  public $serviceAccount;

  /**
   * @param string[]
   */
  public function setArgs($args)
  {
    $this->args = $args;
  }
  /**
   * @return string[]
   */
  public function getArgs()
  {
    return $this->args;
  }
  /**
   * @param string
   */
  public function setKmsKey($kmsKey)
  {
    $this->kmsKey = $kmsKey;
  }
  /**
   * @return string
   */
  public function getKmsKey()
  {
    return $this->kmsKey;
  }
  /**
   * @param string
   */
  public function setMaxJobExecutionLifetime($maxJobExecutionLifetime)
  {
    $this->maxJobExecutionLifetime = $maxJobExecutionLifetime;
  }
  /**
   * @return string
   */
  public function getMaxJobExecutionLifetime()
  {
    return $this->maxJobExecutionLifetime;
  }
  /**
   * @param string
   */
  public function setProject($project)
  {
    $this->project = $project;
  }
  /**
   * @return string
   */
  public function getProject()
  {
    return $this->project;
  }
  /**
   * @param string
   */
  public function setServiceAccount($serviceAccount)
  {
    $this->serviceAccount = $serviceAccount;
  }
  /**
   * @return string
   */
  public function getServiceAccount()
  {
    return $this->serviceAccount;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GoogleCloudDataplexV1TaskExecutionSpec::class, 'Google_Service_CloudDataplex_GoogleCloudDataplexV1TaskExecutionSpec');
