<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\CloudNaturalLanguage;

class EntityMention extends \Google\Model
{
  /**
   * @var float
   */
  public $probability;
  protected $sentimentType = Sentiment::class;
  protected $sentimentDataType = '';
  protected $textType = TextSpan::class;
  protected $textDataType = '';
  /**
   * @var string
   */
  public $type;

  /**
   * @param float
   */
  public function setProbability($probability)
  {
    $this->probability = $probability;
  }
  /**
   * @return float
   */
  public function getProbability()
  {
    return $this->probability;
  }
  /**
   * @param Sentiment
   */
  public function setSentiment(Sentiment $sentiment)
  {
    $this->sentiment = $sentiment;
  }
  /**
   * @return Sentiment
   */
  public function getSentiment()
  {
    return $this->sentiment;
  }
  /**
   * @param TextSpan
   */
  public function setText(TextSpan $text)
  {
    $this->text = $text;
  }
  /**
   * @return TextSpan
   */
  public function getText()
  {
    return $this->text;
  }
  /**
   * @param string
   */
  public function setType($type)
  {
    $this->type = $type;
  }
  /**
   * @return string
   */
  public function getType()
  {
    return $this->type;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(EntityMention::class, 'Google_Service_CloudNaturalLanguage_EntityMention');
