<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\CloudRun;

class GoogleCloudRunV2RunJobRequest extends \Google\Model
{
  /**
   * @var string
   */
  public $etag;
  protected $overridesType = GoogleCloudRunV2Overrides::class;
  protected $overridesDataType = '';
  /**
   * @var bool
   */
  public $validateOnly;

  /**
   * @param string
   */
  public function setEtag($etag)
  {
    $this->etag = $etag;
  }
  /**
   * @return string
   */
  public function getEtag()
  {
    return $this->etag;
  }
  /**
   * @param GoogleCloudRunV2Overrides
   */
  public function setOverrides(GoogleCloudRunV2Overrides $overrides)
  {
    $this->overrides = $overrides;
  }
  /**
   * @return GoogleCloudRunV2Overrides
   */
  public function getOverrides()
  {
    return $this->overrides;
  }
  /**
   * @param bool
   */
  public function setValidateOnly($validateOnly)
  {
    $this->validateOnly = $validateOnly;
  }
  /**
   * @return bool
   */
  public function getValidateOnly()
  {
    return $this->validateOnly;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GoogleCloudRunV2RunJobRequest::class, 'Google_Service_CloudRun_GoogleCloudRunV2RunJobRequest');
