<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\CloudVideoIntelligence;

class GoogleCloudVideointelligenceV1p3beta1AnnotateVideoResponse extends \Google\Collection
{
  protected $collection_key = 'annotationResults';
  protected $annotationResultsType = GoogleCloudVideointelligenceV1p3beta1VideoAnnotationResults::class;
  protected $annotationResultsDataType = 'array';

  /**
   * @param GoogleCloudVideointelligenceV1p3beta1VideoAnnotationResults[]
   */
  public function setAnnotationResults($annotationResults)
  {
    $this->annotationResults = $annotationResults;
  }
  /**
   * @return GoogleCloudVideointelligenceV1p3beta1VideoAnnotationResults[]
   */
  public function getAnnotationResults()
  {
    return $this->annotationResults;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GoogleCloudVideointelligenceV1p3beta1AnnotateVideoResponse::class, 'Google_Service_CloudVideoIntelligence_GoogleCloudVideointelligenceV1p3beta1AnnotateVideoResponse');
