<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\Contentwarehouse;

class FreebaseCitation extends \Google\Model
{
  /**
   * @var string
   */
  public $dataset;
  /**
   * @var bool
   */
  public $isAttributionRequired;
  /**
   * @var string
   */
  public $project;
  /**
   * @var string
   */
  public $provider;
  /**
   * @var string
   */
  public $statement;
  /**
   * @var string
   */
  public $uri;

  /**
   * @param string
   */
  public function setDataset($dataset)
  {
    $this->dataset = $dataset;
  }
  /**
   * @return string
   */
  public function getDataset()
  {
    return $this->dataset;
  }
  /**
   * @param bool
   */
  public function setIsAttributionRequired($isAttributionRequired)
  {
    $this->isAttributionRequired = $isAttributionRequired;
  }
  /**
   * @return bool
   */
  public function getIsAttributionRequired()
  {
    return $this->isAttributionRequired;
  }
  /**
   * @param string
   */
  public function setProject($project)
  {
    $this->project = $project;
  }
  /**
   * @return string
   */
  public function getProject()
  {
    return $this->project;
  }
  /**
   * @param string
   */
  public function setProvider($provider)
  {
    $this->provider = $provider;
  }
  /**
   * @return string
   */
  public function getProvider()
  {
    return $this->provider;
  }
  /**
   * @param string
   */
  public function setStatement($statement)
  {
    $this->statement = $statement;
  }
  /**
   * @return string
   */
  public function getStatement()
  {
    return $this->statement;
  }
  /**
   * @param string
   */
  public function setUri($uri)
  {
    $this->uri = $uri;
  }
  /**
   * @return string
   */
  public function getUri()
  {
    return $this->uri;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(FreebaseCitation::class, 'Google_Service_Contentwarehouse_FreebaseCitation');
