<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\Contentwarehouse;

class GeostoreCallToActionProto extends \Google\Model
{
  /**
   * @var string
   */
  public $ctaType;
  protected $urlType = GeostoreUrlProto::class;
  protected $urlDataType = '';

  /**
   * @param string
   */
  public function setCtaType($ctaType)
  {
    $this->ctaType = $ctaType;
  }
  /**
   * @return string
   */
  public function getCtaType()
  {
    return $this->ctaType;
  }
  /**
   * @param GeostoreUrlProto
   */
  public function setUrl(GeostoreUrlProto $url)
  {
    $this->url = $url;
  }
  /**
   * @return GeostoreUrlProto
   */
  public function getUrl()
  {
    return $this->url;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GeostoreCallToActionProto::class, 'Google_Service_Contentwarehouse_GeostoreCallToActionProto');
