<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\Contentwarehouse;

class GoodocDocumentHeaderFont extends \Google\Model
{
  protected $internal_gapi_mappings = [
        "fontId" => "FontId",
        "fontName" => "FontName",
  ];
  /**
   * @var int
   */
  public $fontId;
  /**
   * @var string
   */
  public $fontName;

  /**
   * @param int
   */
  public function setFontId($fontId)
  {
    $this->fontId = $fontId;
  }
  /**
   * @return int
   */
  public function getFontId()
  {
    return $this->fontId;
  }
  /**
   * @param string
   */
  public function setFontName($fontName)
  {
    $this->fontName = $fontName;
  }
  /**
   * @return string
   */
  public function getFontName()
  {
    return $this->fontName;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GoodocDocumentHeaderFont::class, 'Google_Service_Contentwarehouse_GoodocDocumentHeaderFont');
