<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\DLP;

class GooglePrivacyDlpV2UpdateJobTriggerRequest extends \Google\Model
{
  protected $jobTriggerType = GooglePrivacyDlpV2JobTrigger::class;
  protected $jobTriggerDataType = '';
  /**
   * @var string
   */
  public $updateMask;

  /**
   * @param GooglePrivacyDlpV2JobTrigger
   */
  public function setJobTrigger(GooglePrivacyDlpV2JobTrigger $jobTrigger)
  {
    $this->jobTrigger = $jobTrigger;
  }
  /**
   * @return GooglePrivacyDlpV2JobTrigger
   */
  public function getJobTrigger()
  {
    return $this->jobTrigger;
  }
  /**
   * @param string
   */
  public function setUpdateMask($updateMask)
  {
    $this->updateMask = $updateMask;
  }
  /**
   * @return string
   */
  public function getUpdateMask()
  {
    return $this->updateMask;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(GooglePrivacyDlpV2UpdateJobTriggerRequest::class, 'Google_Service_DLP_GooglePrivacyDlpV2UpdateJobTriggerRequest');
