<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\DisplayVideo;

class EditCustomerMatchMembersRequest extends \Google\Model
{
  /**
   * @var ContactInfoList
   */
  public $addedContactInfoList;
  protected $addedContactInfoListType = ContactInfoList::class;
  protected $addedContactInfoListDataType = '';
  /**
   * @var MobileDeviceIdList
   */
  public $addedMobileDeviceIdList;
  protected $addedMobileDeviceIdListType = MobileDeviceIdList::class;
  protected $addedMobileDeviceIdListDataType = '';
  /**
   * @var string
   */
  public $advertiserId;

  /**
   * @param ContactInfoList
   */
  public function setAddedContactInfoList(ContactInfoList $addedContactInfoList)
  {
    $this->addedContactInfoList = $addedContactInfoList;
  }
  /**
   * @return ContactInfoList
   */
  public function getAddedContactInfoList()
  {
    return $this->addedContactInfoList;
  }
  /**
   * @param MobileDeviceIdList
   */
  public function setAddedMobileDeviceIdList(MobileDeviceIdList $addedMobileDeviceIdList)
  {
    $this->addedMobileDeviceIdList = $addedMobileDeviceIdList;
  }
  /**
   * @return MobileDeviceIdList
   */
  public function getAddedMobileDeviceIdList()
  {
    return $this->addedMobileDeviceIdList;
  }
  /**
   * @param string
   */
  public function setAdvertiserId($advertiserId)
  {
    $this->advertiserId = $advertiserId;
  }
  /**
   * @return string
   */
  public function getAdvertiserId()
  {
    return $this->advertiserId;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(EditCustomerMatchMembersRequest::class, 'Google_Service_DisplayVideo_EditCustomerMatchMembersRequest');
