<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\MyBusinessLodging;

class LivingAreaEating extends \Google\Model
{
  /**
   * @var bool
   */
  public $coffeeMaker;
  /**
   * @var string
   */
  public $coffeeMakerException;
  /**
   * @var bool
   */
  public $cookware;
  /**
   * @var string
   */
  public $cookwareException;
  /**
   * @var bool
   */
  public $dishwasher;
  /**
   * @var string
   */
  public $dishwasherException;
  /**
   * @var bool
   */
  public $indoorGrill;
  /**
   * @var string
   */
  public $indoorGrillException;
  /**
   * @var bool
   */
  public $kettle;
  /**
   * @var string
   */
  public $kettleException;
  /**
   * @var bool
   */
  public $kitchenAvailable;
  /**
   * @var string
   */
  public $kitchenAvailableException;
  /**
   * @var bool
   */
  public $microwave;
  /**
   * @var string
   */
  public $microwaveException;
  /**
   * @var bool
   */
  public $minibar;
  /**
   * @var string
   */
  public $minibarException;
  /**
   * @var bool
   */
  public $outdoorGrill;
  /**
   * @var string
   */
  public $outdoorGrillException;
  /**
   * @var bool
   */
  public $oven;
  /**
   * @var string
   */
  public $ovenException;
  /**
   * @var bool
   */
  public $refrigerator;
  /**
   * @var string
   */
  public $refrigeratorException;
  /**
   * @var bool
   */
  public $sink;
  /**
   * @var string
   */
  public $sinkException;
  /**
   * @var bool
   */
  public $snackbar;
  /**
   * @var string
   */
  public $snackbarException;
  /**
   * @var bool
   */
  public $stove;
  /**
   * @var string
   */
  public $stoveException;
  /**
   * @var bool
   */
  public $teaStation;
  /**
   * @var string
   */
  public $teaStationException;
  /**
   * @var bool
   */
  public $toaster;
  /**
   * @var string
   */
  public $toasterException;

  /**
   * @param bool
   */
  public function setCoffeeMaker($coffeeMaker)
  {
    $this->coffeeMaker = $coffeeMaker;
  }
  /**
   * @return bool
   */
  public function getCoffeeMaker()
  {
    return $this->coffeeMaker;
  }
  /**
   * @param string
   */
  public function setCoffeeMakerException($coffeeMakerException)
  {
    $this->coffeeMakerException = $coffeeMakerException;
  }
  /**
   * @return string
   */
  public function getCoffeeMakerException()
  {
    return $this->coffeeMakerException;
  }
  /**
   * @param bool
   */
  public function setCookware($cookware)
  {
    $this->cookware = $cookware;
  }
  /**
   * @return bool
   */
  public function getCookware()
  {
    return $this->cookware;
  }
  /**
   * @param string
   */
  public function setCookwareException($cookwareException)
  {
    $this->cookwareException = $cookwareException;
  }
  /**
   * @return string
   */
  public function getCookwareException()
  {
    return $this->cookwareException;
  }
  /**
   * @param bool
   */
  public function setDishwasher($dishwasher)
  {
    $this->dishwasher = $dishwasher;
  }
  /**
   * @return bool
   */
  public function getDishwasher()
  {
    return $this->dishwasher;
  }
  /**
   * @param string
   */
  public function setDishwasherException($dishwasherException)
  {
    $this->dishwasherException = $dishwasherException;
  }
  /**
   * @return string
   */
  public function getDishwasherException()
  {
    return $this->dishwasherException;
  }
  /**
   * @param bool
   */
  public function setIndoorGrill($indoorGrill)
  {
    $this->indoorGrill = $indoorGrill;
  }
  /**
   * @return bool
   */
  public function getIndoorGrill()
  {
    return $this->indoorGrill;
  }
  /**
   * @param string
   */
  public function setIndoorGrillException($indoorGrillException)
  {
    $this->indoorGrillException = $indoorGrillException;
  }
  /**
   * @return string
   */
  public function getIndoorGrillException()
  {
    return $this->indoorGrillException;
  }
  /**
   * @param bool
   */
  public function setKettle($kettle)
  {
    $this->kettle = $kettle;
  }
  /**
   * @return bool
   */
  public function getKettle()
  {
    return $this->kettle;
  }
  /**
   * @param string
   */
  public function setKettleException($kettleException)
  {
    $this->kettleException = $kettleException;
  }
  /**
   * @return string
   */
  public function getKettleException()
  {
    return $this->kettleException;
  }
  /**
   * @param bool
   */
  public function setKitchenAvailable($kitchenAvailable)
  {
    $this->kitchenAvailable = $kitchenAvailable;
  }
  /**
   * @return bool
   */
  public function getKitchenAvailable()
  {
    return $this->kitchenAvailable;
  }
  /**
   * @param string
   */
  public function setKitchenAvailableException($kitchenAvailableException)
  {
    $this->kitchenAvailableException = $kitchenAvailableException;
  }
  /**
   * @return string
   */
  public function getKitchenAvailableException()
  {
    return $this->kitchenAvailableException;
  }
  /**
   * @param bool
   */
  public function setMicrowave($microwave)
  {
    $this->microwave = $microwave;
  }
  /**
   * @return bool
   */
  public function getMicrowave()
  {
    return $this->microwave;
  }
  /**
   * @param string
   */
  public function setMicrowaveException($microwaveException)
  {
    $this->microwaveException = $microwaveException;
  }
  /**
   * @return string
   */
  public function getMicrowaveException()
  {
    return $this->microwaveException;
  }
  /**
   * @param bool
   */
  public function setMinibar($minibar)
  {
    $this->minibar = $minibar;
  }
  /**
   * @return bool
   */
  public function getMinibar()
  {
    return $this->minibar;
  }
  /**
   * @param string
   */
  public function setMinibarException($minibarException)
  {
    $this->minibarException = $minibarException;
  }
  /**
   * @return string
   */
  public function getMinibarException()
  {
    return $this->minibarException;
  }
  /**
   * @param bool
   */
  public function setOutdoorGrill($outdoorGrill)
  {
    $this->outdoorGrill = $outdoorGrill;
  }
  /**
   * @return bool
   */
  public function getOutdoorGrill()
  {
    return $this->outdoorGrill;
  }
  /**
   * @param string
   */
  public function setOutdoorGrillException($outdoorGrillException)
  {
    $this->outdoorGrillException = $outdoorGrillException;
  }
  /**
   * @return string
   */
  public function getOutdoorGrillException()
  {
    return $this->outdoorGrillException;
  }
  /**
   * @param bool
   */
  public function setOven($oven)
  {
    $this->oven = $oven;
  }
  /**
   * @return bool
   */
  public function getOven()
  {
    return $this->oven;
  }
  /**
   * @param string
   */
  public function setOvenException($ovenException)
  {
    $this->ovenException = $ovenException;
  }
  /**
   * @return string
   */
  public function getOvenException()
  {
    return $this->ovenException;
  }
  /**
   * @param bool
   */
  public function setRefrigerator($refrigerator)
  {
    $this->refrigerator = $refrigerator;
  }
  /**
   * @return bool
   */
  public function getRefrigerator()
  {
    return $this->refrigerator;
  }
  /**
   * @param string
   */
  public function setRefrigeratorException($refrigeratorException)
  {
    $this->refrigeratorException = $refrigeratorException;
  }
  /**
   * @return string
   */
  public function getRefrigeratorException()
  {
    return $this->refrigeratorException;
  }
  /**
   * @param bool
   */
  public function setSink($sink)
  {
    $this->sink = $sink;
  }
  /**
   * @return bool
   */
  public function getSink()
  {
    return $this->sink;
  }
  /**
   * @param string
   */
  public function setSinkException($sinkException)
  {
    $this->sinkException = $sinkException;
  }
  /**
   * @return string
   */
  public function getSinkException()
  {
    return $this->sinkException;
  }
  /**
   * @param bool
   */
  public function setSnackbar($snackbar)
  {
    $this->snackbar = $snackbar;
  }
  /**
   * @return bool
   */
  public function getSnackbar()
  {
    return $this->snackbar;
  }
  /**
   * @param string
   */
  public function setSnackbarException($snackbarException)
  {
    $this->snackbarException = $snackbarException;
  }
  /**
   * @return string
   */
  public function getSnackbarException()
  {
    return $this->snackbarException;
  }
  /**
   * @param bool
   */
  public function setStove($stove)
  {
    $this->stove = $stove;
  }
  /**
   * @return bool
   */
  public function getStove()
  {
    return $this->stove;
  }
  /**
   * @param string
   */
  public function setStoveException($stoveException)
  {
    $this->stoveException = $stoveException;
  }
  /**
   * @return string
   */
  public function getStoveException()
  {
    return $this->stoveException;
  }
  /**
   * @param bool
   */
  public function setTeaStation($teaStation)
  {
    $this->teaStation = $teaStation;
  }
  /**
   * @return bool
   */
  public function getTeaStation()
  {
    return $this->teaStation;
  }
  /**
   * @param string
   */
  public function setTeaStationException($teaStationException)
  {
    $this->teaStationException = $teaStationException;
  }
  /**
   * @return string
   */
  public function getTeaStationException()
  {
    return $this->teaStationException;
  }
  /**
   * @param bool
   */
  public function setToaster($toaster)
  {
    $this->toaster = $toaster;
  }
  /**
   * @return bool
   */
  public function getToaster()
  {
    return $this->toaster;
  }
  /**
   * @param string
   */
  public function setToasterException($toasterException)
  {
    $this->toasterException = $toasterException;
  }
  /**
   * @return string
   */
  public function getToasterException()
  {
    return $this->toasterException;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(LivingAreaEating::class, 'Google_Service_MyBusinessLodging_LivingAreaEating');
