<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\PubsubLite;

class Subscription extends \Google\Model
{
  protected $deliveryConfigType = DeliveryConfig::class;
  protected $deliveryConfigDataType = '';
  protected $exportConfigType = ExportConfig::class;
  protected $exportConfigDataType = '';
  /**
   * @var string
   */
  public $name;
  /**
   * @var string
   */
  public $topic;

  /**
   * @param DeliveryConfig
   */
  public function setDeliveryConfig(DeliveryConfig $deliveryConfig)
  {
    $this->deliveryConfig = $deliveryConfig;
  }
  /**
   * @return DeliveryConfig
   */
  public function getDeliveryConfig()
  {
    return $this->deliveryConfig;
  }
  /**
   * @param ExportConfig
   */
  public function setExportConfig(ExportConfig $exportConfig)
  {
    $this->exportConfig = $exportConfig;
  }
  /**
   * @return ExportConfig
   */
  public function getExportConfig()
  {
    return $this->exportConfig;
  }
  /**
   * @param string
   */
  public function setName($name)
  {
    $this->name = $name;
  }
  /**
   * @return string
   */
  public function getName()
  {
    return $this->name;
  }
  /**
   * @param string
   */
  public function setTopic($topic)
  {
    $this->topic = $topic;
  }
  /**
   * @return string
   */
  public function getTopic()
  {
    return $this->topic;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(Subscription::class, 'Google_Service_PubsubLite_Subscription');
