<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\Safebrowsing;

class ListUpdateRequest extends \Google\Model
{
  protected $constraintsType = Constraints::class;
  protected $constraintsDataType = '';
  public $constraints;
  /**
   * @var string
   */
  public $platformType;
  /**
   * @var string
   */
  public $state;
  /**
   * @var string
   */
  public $threatEntryType;
  /**
   * @var string
   */
  public $threatType;

  /**
   * @param Constraints
   */
  public function setConstraints(Constraints $constraints)
  {
    $this->constraints = $constraints;
  }
  /**
   * @return Constraints
   */
  public function getConstraints()
  {
    return $this->constraints;
  }
  /**
   * @param string
   */
  public function setPlatformType($platformType)
  {
    $this->platformType = $platformType;
  }
  /**
   * @return string
   */
  public function getPlatformType()
  {
    return $this->platformType;
  }
  /**
   * @param string
   */
  public function setState($state)
  {
    $this->state = $state;
  }
  /**
   * @return string
   */
  public function getState()
  {
    return $this->state;
  }
  /**
   * @param string
   */
  public function setThreatEntryType($threatEntryType)
  {
    $this->threatEntryType = $threatEntryType;
  }
  /**
   * @return string
   */
  public function getThreatEntryType()
  {
    return $this->threatEntryType;
  }
  /**
   * @param string
   */
  public function setThreatType($threatType)
  {
    $this->threatType = $threatType;
  }
  /**
   * @return string
   */
  public function getThreatType()
  {
    return $this->threatType;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(ListUpdateRequest::class, 'Google_Service_Safebrowsing_ListUpdateRequest');
