<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\ServiceNetworking;

class AddRolesRequest extends \Google\Collection
{
  protected $collection_key = 'policyBinding';
  /**
   * @var string
   */
  public $consumerNetwork;
  protected $policyBindingType = PolicyBinding::class;
  protected $policyBindingDataType = 'array';

  /**
   * @param string
   */
  public function setConsumerNetwork($consumerNetwork)
  {
    $this->consumerNetwork = $consumerNetwork;
  }
  /**
   * @return string
   */
  public function getConsumerNetwork()
  {
    return $this->consumerNetwork;
  }
  /**
   * @param PolicyBinding[]
   */
  public function setPolicyBinding($policyBinding)
  {
    $this->policyBinding = $policyBinding;
  }
  /**
   * @return PolicyBinding[]
   */
  public function getPolicyBinding()
  {
    return $this->policyBinding;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(AddRolesRequest::class, 'Google_Service_ServiceNetworking_AddRolesRequest');
