<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\Slides;

class Link extends \Google\Model
{
  /**
   * @var string
   */
  public $pageObjectId;
  /**
   * @var string
   */
  public $relativeLink;
  /**
   * @var int
   */
  public $slideIndex;
  /**
   * @var string
   */
  public $url;

  /**
   * @param string
   */
  public function setPageObjectId($pageObjectId)
  {
    $this->pageObjectId = $pageObjectId;
  }
  /**
   * @return string
   */
  public function getPageObjectId()
  {
    return $this->pageObjectId;
  }
  /**
   * @param string
   */
  public function setRelativeLink($relativeLink)
  {
    $this->relativeLink = $relativeLink;
  }
  /**
   * @return string
   */
  public function getRelativeLink()
  {
    return $this->relativeLink;
  }
  /**
   * @param int
   */
  public function setSlideIndex($slideIndex)
  {
    $this->slideIndex = $slideIndex;
  }
  /**
   * @return int
   */
  public function getSlideIndex()
  {
    return $this->slideIndex;
  }
  /**
   * @param string
   */
  public function setUrl($url)
  {
    $this->url = $url;
  }
  /**
   * @return string
   */
  public function getUrl()
  {
    return $this->url;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(Link::class, 'Google_Service_Slides_Link');
