<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\ToolResults;

class ListPerfSampleSeriesResponse extends \Google\Collection
{
  protected $collection_key = 'perfSampleSeries';
  protected $perfSampleSeriesType = PerfSampleSeries::class;
  protected $perfSampleSeriesDataType = 'array';

  /**
   * @param PerfSampleSeries[]
   */
  public function setPerfSampleSeries($perfSampleSeries)
  {
    $this->perfSampleSeries = $perfSampleSeries;
  }
  /**
   * @return PerfSampleSeries[]
   */
  public function getPerfSampleSeries()
  {
    return $this->perfSampleSeries;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(ListPerfSampleSeriesResponse::class, 'Google_Service_ToolResults_ListPerfSampleSeriesResponse');
