<?php
/*
 * Copyright 2014 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

namespace Google\Service\OSConfig;

class VulnerabilityReportVulnerability extends \Google\Collection
{
  protected $collection_key = 'items';
  /**
   * @var string[]
   */
  public $availableInventoryItemIds;
  /**
   * @var string
   */
  public $createTime;
  protected $detailsType = VulnerabilityReportVulnerabilityDetails::class;
  protected $detailsDataType = '';
  /**
   * @var string[]
   */
  public $installedInventoryItemIds;
  protected $itemsType = VulnerabilityReportVulnerabilityItem::class;
  protected $itemsDataType = 'array';
  /**
   * @var string
   */
  public $updateTime;

  /**
   * @param string[]
   */
  public function setAvailableInventoryItemIds($availableInventoryItemIds)
  {
    $this->availableInventoryItemIds = $availableInventoryItemIds;
  }
  /**
   * @return string[]
   */
  public function getAvailableInventoryItemIds()
  {
    return $this->availableInventoryItemIds;
  }
  /**
   * @param string
   */
  public function setCreateTime($createTime)
  {
    $this->createTime = $createTime;
  }
  /**
   * @return string
   */
  public function getCreateTime()
  {
    return $this->createTime;
  }
  /**
   * @param VulnerabilityReportVulnerabilityDetails
   */
  public function setDetails(VulnerabilityReportVulnerabilityDetails $details)
  {
    $this->details = $details;
  }
  /**
   * @return VulnerabilityReportVulnerabilityDetails
   */
  public function getDetails()
  {
    return $this->details;
  }
  /**
   * @param string[]
   */
  public function setInstalledInventoryItemIds($installedInventoryItemIds)
  {
    $this->installedInventoryItemIds = $installedInventoryItemIds;
  }
  /**
   * @return string[]
   */
  public function getInstalledInventoryItemIds()
  {
    return $this->installedInventoryItemIds;
  }
  /**
   * @param VulnerabilityReportVulnerabilityItem[]
   */
  public function setItems($items)
  {
    $this->items = $items;
  }
  /**
   * @return VulnerabilityReportVulnerabilityItem[]
   */
  public function getItems()
  {
    return $this->items;
  }
  /**
   * @param string
   */
  public function setUpdateTime($updateTime)
  {
    $this->updateTime = $updateTime;
  }
  /**
   * @return string
   */
  public function getUpdateTime()
  {
    return $this->updateTime;
  }
}

// Adding a class alias for backwards compatibility with the previous class name.
class_alias(VulnerabilityReportVulnerability::class, 'Google_Service_OSConfig_VulnerabilityReportVulnerability');
